package main

import (
	"html/template"
	"time"

	"git.milar.in/milarin/envvars/v2"
)

var (
	PollRate = envvars.Object("POLL_RATE", 30*time.Minute, time.ParseDuration)

	TorrentPath = envvars.String("TORRENT_PATH", "")

	DebugAnimeEpisodePattern = envvars.Object(
		"DEBUG_ANIME_LANGUAGE_PATTERN",
		template.Must(template.New("anime-episode-filepath-pattern").Parse(`{{.Title.UserPreferred}} episode {{.Episode}}`)),
		template.New("anime-episode-pattern").Parse,
	)

	DownloadAll = envvars.Bool("DOWNLOAD_ALL_ANIMES", false)
)
